# MedicationAdministration _search

`POST /MedicationAdministration/_search`

This resource contains which medication was given and details about how it was administered to a patient during an inpatient stay.

You can review or retrieve administration details for a medication given to a patient. 

> **Supported fields and schema examples**
>
> We support any valid FHIR field. However, we only display fields we’ve defined in our schema, which are usually based on what’s included in the U.S. Core profile. We recommend relying on U.S. Core requirements. 
>
> Our schema examples show the shape and possibility of each FHIR resource; they aren’t code for real-time API calls. We don’t currently recommend copying and pasting these schema examples for your API calls. [Consider reviewing FHIR API actions](/fhir-api-actions) for realistic examples for particular use cases.

### \_search

Query for details about how a medication was administered to a patient. [Review tips for medication searches](https://docs.redoxengine.com/permalink/5ViW1sFKmaQD0njGTnjWA7).

> **Flexible FHIR queries, different query parameters**
>
> FHIR queries are a flexible option with parameters to refine your search. The response returns a bundle of resources, known as a `searchset` bundle type. [Learn about bundles and bundle types](https://docs.redoxengine.com/permalink/23Q1Oku3NdxxvwYnQGJVrg) in our FHIR glossary.
>
> We only note which query parameters are required _if you’re querying a FHIR server directly_. Remember that Redox (i.e., data on demand) isn’t a FHIR server, and your connection may not be either.
>
> _Query parameters will vary between sites._ Work with your connection to find out which query parameters they require for a successful search.

## Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `patient` | Array of string | No | Returns administrations for a specific patient |
| `patient.identifier` | Array of string | No | One or more external identifiers for the patient |
| `effective` | Array of string | No | The date or period when patient was administered the medication |
| `status` | Array of string | No | Status of the administration |
| `performer` | Array of string | No | The identity of the individual who administered the medication |
| `performer.identifier` | Array of string | No | One or more external identifiers for the practitioner |

## Request example

_Generated from the schema: the values are placeholders, not a real payload._

```bash
curl 'https://api.redoxengine.com/fhir/R4/{destinationSlug}/{environmentFlag}/MedicationAdministration/_search' \
--request POST \
--header 'Authorization: Bearer $API_TOKEN' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'patient=string' \
--data-urlencode 'patient.identifier=string' \
--data-urlencode 'effective=string' \
--data-urlencode 'status=string' \
--data-urlencode 'performer=string' \
--data-urlencode 'performer.identifier=string'
```

## Responses

### 200

Search results (Bundle)

Response to a Medication Administration search operation

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: Bundle |
| `type` | string | Yes | Identifies this bundle as a response to a search. Value: searchset |
| `total` | number | Yes | The total number of matches |
| `entry` | Array of MedicationAdministration or Other | No | A resource matching the search criteria or related to a matching resource |
| `entry[] (MedicationAdministration).resource` | object | Yes | Describes the event of a patient consuming or otherwise being administered a medication. |
| `entry[] (MedicationAdministration).resource.resourceType` | string | Yes | Identifies the type of the resource. Value: MedicationAdministration |
| `entry[] (MedicationAdministration).resource.status` | string | Yes | Will generally be set to show that the administration has been completed.  For some long running administrations such as infusions, it is possible for an administration to be started but not completed or it may be paused while some other process is under way. Possible values: in-progress, not-done, on-hold, completed, entered-in-error, stopped, unknown |
| `entry[] (MedicationAdministration).resource.subject` | object | Yes | The person or animal or group receiving the medication. Must be a resource of type `Patient`. |
| `entry[] (MedicationAdministration).resource.subject.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (MedicationAdministration).resource.medicationCodeableConcept` | object | Yes | Identifies the medication that was administered. This is either a link to a resource representing the details of the medication or a simple attribute carrying a code that identifies the medication from a known list of medications. |
| `entry[] (MedicationAdministration).resource.medicationCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (MedicationAdministration).resource.medicationCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (MedicationAdministration).resource.medicationCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (MedicationAdministration).resource.medicationCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (MedicationAdministration).resource.effectiveDateTime` | string | Yes | A specific date/time or interval of time during which the administration took place (or did not take place, when the 'notGiven' attribute is true). For many administrations, such as swallowing a tablet the use of dateTime is more appropriate. Only one of `effectiveDateTime`, `effectivePeriod` may be present. |
| `entry[] (MedicationAdministration).resource.effectivePeriod` | object | Yes | A specific date/time or interval of time during which the administration took place (or did not take place, when the 'notGiven' attribute is true). For many administrations, such as swallowing a tablet the use of dateTime is more appropriate. Only one of `effectiveDateTime`, `effectivePeriod` may be present. |
| `entry[] (MedicationAdministration).resource.effectivePeriod.start` | string | No | The start of the period. The boundary is inclusive. |
| `entry[] (MedicationAdministration).resource.effectivePeriod.end` | string | No | The end of the period. If the end of the period is missing, it means no end was known or planned at the time the instance was created. The start may be in the past, and the end date in the future, which means that period is expected/planned to end at that time. |
| `entry[] (MedicationAdministration).resource.id` | string | No | The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes. |
| `entry[] (MedicationAdministration).resource.identifier` | Array of object | No | Identifiers associated with this Medication Administration that are defined by business processes and/or used to refer to it when a direct URL reference to the resource itself is not appropriate. They are business identifiers assigned to this resource by the performer or other systems and remain constant as the resource is updated and propagates from server to server. |
| `entry[] (MedicationAdministration).resource.identifier[].extension` | Array of Boolean or String or CodeableConcept or Coding or HumanName or Reference | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (MedicationAdministration).resource.identifier[].extension[] (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (MedicationAdministration).resource.identifier[].extension[] (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (MedicationAdministration).resource.identifier[].extension[] (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (MedicationAdministration).resource.identifier[].extension[] (String).valueString` | string | No | A single value for the extension. |
| `entry[] (MedicationAdministration).resource.identifier[].extension[] (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (MedicationAdministration).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (MedicationAdministration).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (MedicationAdministration).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (MedicationAdministration).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (MedicationAdministration).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (MedicationAdministration).resource.identifier[].extension[] (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (MedicationAdministration).resource.identifier[].extension[] (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (MedicationAdministration).resource.identifier[].extension[] (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (MedicationAdministration).resource.identifier[].extension[] (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (MedicationAdministration).resource.identifier[].extension[] (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (MedicationAdministration).resource.identifier[].extension[] (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (MedicationAdministration).resource.identifier[].extension[] (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (MedicationAdministration).resource.identifier[].extension[] (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (MedicationAdministration).resource.identifier[].extension[] (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (MedicationAdministration).resource.identifier[].extension[] (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (MedicationAdministration).resource.identifier[].extension[] (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (MedicationAdministration).resource.identifier[].extension[] (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (MedicationAdministration).resource.identifier[].use` | string | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old (If known) |
| `entry[] (MedicationAdministration).resource.identifier[].system` | string | No | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. |
| `entry[] (MedicationAdministration).resource.identifier[].value` | string | No | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `entry[] (MedicationAdministration).resource.statusReason` | Array of object | No | A code indicating why the administration was not performed. |
| `entry[] (MedicationAdministration).resource.statusReason[].coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (MedicationAdministration).resource.statusReason[].coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (MedicationAdministration).resource.statusReason[].coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (MedicationAdministration).resource.statusReason[].text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (MedicationAdministration).resource.context` | object | No | The visit, admission, or other contact between patient and health care provider during which the medication administration was performed. Must be a resource of type `Encounter`. |
| `entry[] (MedicationAdministration).resource.context.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (MedicationAdministration).resource.performer` | Array of object | No | Indicates who or what performed the medication administration and how they were involved. |
| `entry[] (MedicationAdministration).resource.performer[].actor` | object | Yes | Indicates who or what performed the medication administration. Must reference one of the following types of resources: - `Practitioner` - `PractitionerRole` |
| `entry[] (MedicationAdministration).resource.performer[].actor.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (MedicationAdministration).resource.performer[].function` | object | No | Distinguishes the type of involvement of the performer in the medication administration. |
| `entry[] (MedicationAdministration).resource.performer[].function.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (MedicationAdministration).resource.performer[].function.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (MedicationAdministration).resource.performer[].function.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (MedicationAdministration).resource.performer[].function.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (MedicationAdministration).resource.request` | object | No | The order this administration fulfills. Identifies the order by its order number, because the MedicationRequest isn't sent with the administration. Must be a resource of type `MedicationRequest`. |
| `entry[] (MedicationAdministration).resource.request.identifier` | object | No | An identifier for the target resource. This is used when there is no way to reference the other resource directly, either because the entity it represents is not available through a FHIR server, or because there is no way for the author of the resource to convert a known identifier to an actual location. There is no requirement that a Reference.identifier point to something that is actually exposed as a FHIR instance, but it SHALL point to a business concept that would be expected to be exposed as a FHIR instance, and that instance would need to be of a FHIR resource type allowed by the reference. |
| `entry[] (MedicationAdministration).resource.request.identifier.extension` | Array of Boolean or String or CodeableConcept or Coding or HumanName or Reference | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (MedicationAdministration).resource.request.identifier.extension[] (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (MedicationAdministration).resource.request.identifier.extension[] (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (MedicationAdministration).resource.request.identifier.extension[] (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (MedicationAdministration).resource.request.identifier.extension[] (String).valueString` | string | No | A single value for the extension. |
| `entry[] (MedicationAdministration).resource.request.identifier.extension[] (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (MedicationAdministration).resource.request.identifier.extension[] (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (MedicationAdministration).resource.request.identifier.extension[] (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (MedicationAdministration).resource.request.identifier.extension[] (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (MedicationAdministration).resource.request.identifier.extension[] (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (MedicationAdministration).resource.request.identifier.extension[] (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (MedicationAdministration).resource.request.identifier.extension[] (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (MedicationAdministration).resource.request.identifier.extension[] (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (MedicationAdministration).resource.request.identifier.extension[] (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (MedicationAdministration).resource.request.identifier.extension[] (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (MedicationAdministration).resource.request.identifier.extension[] (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (MedicationAdministration).resource.request.identifier.extension[] (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (MedicationAdministration).resource.request.identifier.extension[] (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (MedicationAdministration).resource.request.identifier.extension[] (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (MedicationAdministration).resource.request.identifier.extension[] (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (MedicationAdministration).resource.request.identifier.extension[] (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (MedicationAdministration).resource.request.identifier.extension[] (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (MedicationAdministration).resource.request.identifier.extension[] (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (MedicationAdministration).resource.request.identifier.use` | string | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old (If known) |
| `entry[] (MedicationAdministration).resource.request.identifier.system` | string | No | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. |
| `entry[] (MedicationAdministration).resource.request.identifier.value` | string | No | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `entry[] (MedicationAdministration).resource.note` | Array of object | No | Extra information about the medication administration that is not conveyed by the other attributes. |
| `entry[] (MedicationAdministration).resource.note[].text` | string | Yes | The text of the annotation in markdown format. |
| `entry[] (MedicationAdministration).resource.dosage` | object | No | Describes the medication dosage information details e.g. dose, rate, site, route, etc. |
| `entry[] (MedicationAdministration).resource.dosage.text` | string | No | Free text dosage can be used for cases where the dosage administered is too complex to code. When coded dosage is present, the free text dosage may still be present for display to humans.The dosage instructions should reflect the dosage of the medication that was administered. |
| `entry[] (MedicationAdministration).resource.dosage.site` | object | No | A coded specification of the anatomic site where the medication first entered the body.  For example, "left arm". |
| `entry[] (MedicationAdministration).resource.dosage.site.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (MedicationAdministration).resource.dosage.site.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (MedicationAdministration).resource.dosage.site.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (MedicationAdministration).resource.dosage.site.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (MedicationAdministration).resource.dosage.route` | object | No | A code specifying the route or physiological path of administration of a therapeutic agent into or onto the patient.  For example, topical, intravenous, etc. |
| `entry[] (MedicationAdministration).resource.dosage.route.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (MedicationAdministration).resource.dosage.route.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (MedicationAdministration).resource.dosage.route.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (MedicationAdministration).resource.dosage.route.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (MedicationAdministration).resource.dosage.dose` | any | No | The amount of the medication given at one administration event.   Use this value when the administration is essentially an instantaneous event such as a swallowing a tablet or giving an injection. See http://hl7.org/fhir/StructureDefinition/SimpleQuantity for more information |
| `entry[] (MedicationAdministration).resource.dosage.rateQuantity` | object | No | Identifies the speed with which the medication was or will be introduced into the patient.  Typically, the rate for an infusion e.g. 100 ml per 1 hour or 100 ml/hr.  May also be expressed as a rate per unit of time, e.g. 500 ml per 2 hours.  Other examples:  200 mcg/min or 200 mcg/1 minute; 1 liter/8 hours. |
| `entry[] (MedicationAdministration).resource.dosage.rateQuantity.value` | number | No | The value of the measured amount. The value includes an implicit precision in the presentation of the value. |
| `entry[] (MedicationAdministration).resource.dosage.rateQuantity.system` | string | No | The identification of the system that provides the coded form of the unit. |
| `entry[] (MedicationAdministration).resource.dosage.rateQuantity.code` | string | No | A computer processable form of the unit in some unit representation system. |
| `entry[] (MedicationAdministration).search` | object | Yes | Information about the search process that lead to the creation of this entry. |
| `entry[] (MedicationAdministration).search.mode` | string | Yes | Identifies the MedicationAdministration as matching the search parameters. Value: match |
| `entry[] (Other).search` | object | Yes | Information about the search process that lead to the creation of this entry. |
| `entry[] (Other).search.mode` | string | No | Why this entry is in the result set - whether it's included as a match or because of an _include requirement, or to convey information or warning information about the search process. Possible values: match, include, outcome - why this is in the result set |

_Generated from the schema: the values are placeholders, not a real payload._

```json
{
  "resourceType": "Bundle",
  "type": "searchset",
  "total": 0,
  "entry": [
    {
      "resource": {
        "resourceType": "MedicationAdministration",
        "id": "RedoxMedicationAdministrationExample",
        "identifier": [
          {
            "system": "urn:oid:1.2.840.114350.1.13.12345.1.7.2.798268",
            "value": "1546937901"
          }
        ],
        "status": "completed",
        "medicationCodeableConcept": {
          "coding": [
            {
              "code": "573621",
              "system": "http://www.nlm.nih.gov/research/umls/rxnorm",
              "display": "Albuterol 0.09 MG/ACTUAT inhalant solution"
            }
          ]
        },
        "subject": {
          "reference": "Patient/RedoxPatientExampleTimothy"
        },
        "effectiveDateTime": "2012-08-06T04:00:00.000Z",
        "dosage": {
          "route": {
            "text": "RESPIRATORY (INHALATION)",
            "coding": [
              {
                "code": "C38216",
                "system": "urn:oid:2.16.840.1.113883.3.26.1.1"
              }
            ]
          },
          "dose": {
            "value": 0.09,
            "unit": "mg/actuat"
          },
          "rateQuantity": {
            "value": 90,
            "unit": "ml/min"
          }
        }
      },
      "search": {
        "mode": "match"
      }
    }
  ]
}
```

### 400

Request could not be processed or failed validation

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: OperationOutcome |
| `issue` | Array of object | Yes | A structured respresentation of the error that occurred |
| `issue[].severity` | string | Yes | Generally `error` or `fatal` Possible values: fatal, error, warning, information |
| `issue[].code` | string | Yes | A FHIR category code that describes the general type of issue. See http://hl7.org/fhir/ValueSet/issue-type for details |
| `issue[].id` | string | No | If the error occurs in the RedoxEngine, this corresponds to an Error record in the organization. |
| `issue[].details` | object | No | Additional details about the error. This may be a text description of the error or a system code that identifies the error. |
| `issue[].details.coding` | Array of object | No | A more granular FHIR code for the specific error. Typically from http://hl7.org/fhir/ValueSet/operation-outcome |
| `issue[].details.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `issue[].details.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `issue[].details.text` | string | No | A human-readable interpretation of the issue code |
| `issue[].diagnostics` | string | No | Additional diagnostic information about the issue. |

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "invalid",
      "details": {
        "coding": [
          {
            "code": "MSG_BAD_SYNTAX",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Invalid content found in request body."
      }
    }
  ]
}
```

### 401

Authorization is required

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "unknown",
      "details": {
        "coding": [
          {
            "code": "MSG_AUTH_REQUIRED",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Invalid authorization token"
      }
    }
  ]
}
```

### 500

Internal server error

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "processing",
      "details": {
        "coding": [
          {
            "code": "MSG_RESOURCE_ID_FAIL",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Unable to allocate resource id."
      }
    }
  ]
}
```

### 503

Service unavailable

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "transient",
      "details": {
        "text": "System is unable to process this message at this time."
      }
    }
  ]
}
```
